biterp

Buscar produto por ID

GET
/products/{id}
AuthorizationBearer <token>

In: header

Query Parameters

with_deleted?boolean

When true, return the record even if soft-deleted and include deleted_at metadata

Defaultfalse

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.biterp.ai/products/{id}"
{
  "id": "string",
  "reference_code": "string",
  "name": "string",
  "description": "string",
  "tags": [
    "string"
  ],
  "type": "goods",
  "sale_price": "99.900000",
  "image_url": "string",
  "is_blocked": true,
  "metadata": {},
  "unit_of_measurement": {
    "id": "string",
    "code": "string",
    "symbol": "string"
  },
  "br_data": {
    "ncm_code": "string",
    "cest_code": "string",
    "origin": "string",
    "extipi": "string",
    "ibs_cbs_cst": "string",
    "ibs_cbs_classification": "string",
    "ibs_cbs_operation_indicator_code": "string",
    "ibs_cbs_is_personal_use": true
  },
  "us_data": {
    "hts_code": "string",
    "schedule_b_code": "string",
    "eccn_code": "string",
    "tax_code": "string",
    "sales_tax_category": "string",
    "country_of_origin": "string",
    "upc_code": "string"
  },
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "deleted_at": "2019-08-24T14:15:22Z"
}
{
  "statusCode": 422,
  "message": "Could not resolve provided geography fields",
  "error": "Unprocessable Entity",
  "details": {
    "fields": {
      "country_code": [
        "Could not resolve country from '1112' (tried ISO2, ISO3, numeric code and names)"
      ],
      "city": [
        "Could not resolve city from 'CidadeQueNaoExiste' in country 'BR'"
      ]
    }
  }
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}